%% prepare hotspots file 

dlon=2;
dlat=2;
lon=0;
lat=-84+dlat/2:dlat:84-dlat/2;

area=zeros([length(lon) length(lat)]);

r=6370000;
dy=r*dlat/180*pi;
dx=r*cos(lat/180*pi)*dlon/180*pi;

for i=1:length(lat)
    area(:,i)=dy*dx(i);
end

%% read bathy 

fid = fopen('si_topo_from_ice_model_iter_1.bin','r','b'); tt1=fread(fid,size(area),'real*8'); fclose(fid);

% compute land area; exclude land points at the south/north margins

h_tot=sum(sum(area(2:(end-1))));
h_mean=sum(tt1(2:end-1).*area(2:end-1))/h_tot;
h=h_mean*ones(size(tt1));
h(1)=0;
h(end)=0;

fid=fopen('si_topo_uniform.bin','w','b'); fwrite(fid,h,'real*8'); fclose(fid);
